# -*- encoding: utf-8 -*-
$:.push File.expand_path('../lib', __FILE__)
$:.push File.expand_path('../app', __FILE__)
require 'cht-svc-gdas/version'

Gem::Specification.new do |s|
  s.name        = 'cht-svc-gdas'
  s.version     = Gdas::VERSION
  s.summary     = 'cht-svc-gdas'
  s.description = 'Generic Derived Asset Scanner'
  s.authors     = ['CloudHealth Amazon Prime Team']
  s.email       = %w(cht-core-amazon-prime@groups.vmware.com)
  s.date        = Time.now # This is not a required field... and yet our builds fail without it. Nice.

  s.files       = `git ls-files`.split("\n")

  s.test_files  = `git ls-files -- {test,spec,features}/*`.split("\n")
  s.executables = `git ls-files -- bin/*`.split("\n").map{ |f| File.basename(f) }

  s.require_paths = %w(lib)

  s.add_dependency 'cht-lib-fabric'
  s.add_dependency 'cht-lib-scheduler'
  s.add_dependency 'karafka'
end
